ncsa.hdf.hdflib

## Class HDFException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - ncsa.hdf.hdflib.HDFException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  HDFJavaException, HDFLibraryException

    public class HDFException
    extends java.lang.Exception

The class HDFException returns errors from the HDF library.

Two sub-classes of HDFException are defined:

1. HDFLibraryException -- errors raised the HDF library code
2. HDFJavaException -- errors raised the HDF Java wrapper code

These exceptions will be sub-classed to represent specific error conditions, as needed.

The only specific exception currently defined is HDFNotImplementedException, indicating a function that is part of the HDF API, but which cannot or will not be implemented for Java.

See Also:
  Serialized Form

### Field Summary

Fields
`static java.lang.String` `HDFExceptionMessage`
`static java.lang.String` `HDFMessage`
`static java.lang.String` `OutOfMemoryMessage`

### Constructor Summary

Constructors
Constructor and Description
`HDFException()`
`HDFException(int err)`
`HDFException(java.lang.String s)`

### Method Summary

Methods
`java.lang.String` `getMessage()`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### OutOfMemoryMessage

    public static final java.lang.String OutOfMemoryMessage

See Also:
  Constant Field Values

#### HDFExceptionMessage

    public static final java.lang.String HDFExceptionMessage

See Also:
  Constant Field Values

#### HDFMessage

    public static final java.lang.String HDFMessage

See Also:
  Constant Field Values

### Constructor Detail

#### HDFException

    public HDFException()

#### HDFException

    public HDFException(java.lang.String s)

#### HDFException

    public HDFException(int err)

### Method Detail

#### getMessage

    public java.lang.String getMessage()

Overrides:
  `getMessage` in class `java.lang.Throwable`